<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld" 
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />
<og:head headType="init" />

<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF9230"
	title	= "特殊(遷移なし)"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<og:columnCheck command="{@command}" />
<og:entry command="{@command}"  />

<!-- 改廃Cのついた行を全て表示します -->
<!-- (チェックされていない行でも、一度編集した行は全てHTMLを返し、初期状態に戻すためです) -->
<!-- tableUpdateタグより先に記述する必要があります -->
<og:view
	viewFormType	= "HTMLTable"
	command			= "{@command}"
	noDisplay		= "FGJ,ONMARK"
	skipNoEdit		= "true"/>

<!-- TableExistTag は、command="ENTRY" のときのみ有効です。-->
<og:dataCheck
	command = "{@command}"
	from    = "GF41"
	where   = "SYSTEM_ID=[SYSTEM_ID] AND LANG=[LANG] AND CLM=[CLM] AND FGJ IN ('0','1')"
/>

<!-- 前画面のSQL文を実行する場合に、tableUpdate の queryType="JDBCTableUpdate"を指定します。-->
<!-- 通常は変更する必要はありません。 -->
<og:tableUpdate command="{@command}" queryType="JDBCTableUpdate" sqlType="INSERT" followCdkh="true" >
	<og:tableUpdateParam
		sqlType  = "INSERT"
		table  = "GF41"
		names  = "SYSTEM_ID,LANG,KBSAKU,CLM,LABEL_NAME,URL,NAME_JA"
	/>
</og:tableUpdate>

<og:tableUpdate command="{@command}" queryType="JDBCTableUpdate" sqlType="UPDATE" followCdkh="true" >
	<og:tableUpdateParam
		sqlType  = "UPDATE"
		table  = "GF41"
		names  = "SYSTEM_ID,LANG,CLM,KBSAKU,LABEL_NAME,URL,NAME_JA"
		where  = "SYSTEM_ID=[SYSTEM_ID] AND LANG=[LANG] AND CLM=[CLM] AND FGJ IN ('0','1')"
	/>
</og:tableUpdate>

<!-- deleteはtableModelの行が削除されるため最後に記述する必要があります -->
<og:tableUpdate command="{@command}" queryType="JDBCTableUpdate" sqlType="DELETE" followCdkh="true" >
	<og:tableUpdateParam
		sqlType  = "DELETE"
		table  = "GF41"
		names  = "SYSTEM_ID,LANG,CLM"
		where  = "SYSTEM_ID=[SYSTEM_ID] AND LANG=[LANG] AND CLM=[CLM] AND FGJ IN ('0','1')"
	/>
</og:tableUpdate>

<!-- forwardタグにnoTransition="true"を設定しておくことで、画面遷移なしモードでも登録後にリロードが可能です -->
<!-- forwardタグを記述しない場合は、登録行のみをDBTableModelの内容で置きかえします -->
<og:forward page="result.jsp" keys="command" vals="RENEW" />

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
